Subject: Re: bug#57800: TRAMP insert-file-contents now fails for regions

From: Paul Pogonyshev <[email-masked]>
Date: Thu, 29 Sep 2022 13:27:50 +0200

> is not reproducible all the time

As a clarification, if certain Emacs instance is affected, then the bug
appears to happen in it always. Likewise, if it works once in an instance,
then it will work properly every time in it -- or at least I haven't seen
any counterexamples.

Paul

On Thu, 29 Sept 2022 at 13:26, Paul Pogonyshev <[email-masked]> wrote:

> No, the bug is not reproducible all the time. I have switched to Emacs 28
> since then, as this breaks functionality important for me. Now tried to run
> 29 again, but it doesn't happen anymore, neither with `-Q' nor without.
> Also cannot find a backtrace for the same reason now.
>
> From the reproducing early today I remember that restarting Emacs doesn't
> help - or is at least random, since now a newly started Emacs doesn't
> exhibit this problem. It feels like the problem is in some cache and the
> cache appears to be persistent (cross-Emacs), if TRAMP uses something like
> that at all.
>
> The files I have noticed this on have names like "/ssh:USER@HOST#22222:/...",
> i.e. using SSH backend and a non-standard port, if that matters.
>
> Paul
>
> On Thu, 29 Sept 2022 at 12:43, Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Paul Pogonyshev <[email-masked]> writes:
>>
>> > Happened to me again. Symptoms are exactly the same: inserting the
>> whole file
>> > works, inserting only a part dies with `file-missing'.
>>
>> OK; reopening.
>>
>> Do you have a backtrace for when it fails?
>>
>> A complete recipe to reproduce the problem would also be helpful.
>>
>